# $Revision: 1.29 $, $Date: 2008-04-19 17:55:54 $
Summary:	Programs for mounting, unmounting and ejecting storage devices
Summary(pl.UTF-8):	Programy do montowania, odmontowywania i wysuwania urządzeń przechowujących dane
Name:		gnome-mount
Version:	0.8
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	562ec9d0196e5e000bdd249a04a3aa6a
BuildRequires:	GConf2-devel >= 2.22.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.61
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.16.1
BuildRequires:	gnome-keyring-devel >= 2.22.0
BuildRequires:	gtk+2-devel >= 2:2.12.9
BuildRequires:	hal-devel >= 0.5.9
BuildRequires:	intltool >= 0.36.2
BuildRequires:	libglade2-devel >= 1:2.6.2
BuildRequires:	libnotify-devel >= 0.3.0
BuildRequires:	libtool
BuildRequires:	nautilus-devel >= 2.22.0
BuildRequires:	pkgconfig
Requires(post,preun):	GConf2
Requires:	nautilus >= 2.22.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Programs for mounting, unmounting and ejecting storage devices.

%description -l pl.UTF-8
Programy do montowania, odmontowywania i wysuwania urządzeń
przechowujących dane.

%package devel
Summary:	gnome-mount development files
Summary(pl.UTF-8):	Pliki programistyczne gnome-mount
Group:		X11/Development/Libraries
Requires:	hal-devel >= 0.5.9
Requires:	pkgconfig

%description devel
This is the package containing gnome-mount development files.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki programistyczne gnome-mount.

%prep
%setup -q

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-nautilus-extension
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gnome-mount.schemas

%preun
%gconf_schema_uninstall gnome-mount.schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/gnome-eject
%attr(755,root,root) %{_bindir}/gnome-mount
%attr(755,root,root) %{_bindir}/gnome-umount
%attr(755,root,root) %{_libdir}/nautilus/extensions-2.0/libgnome-mount.so
%{_datadir}/%{name}
%{_mandir}/man1/gnome-mount.1*
%{_sysconfdir}/gconf/schemas/gnome-mount.schemas

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/gnome-mount.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-mount.spec,v $
Revision 1.29  2008-04-19 17:55:54  megabajt
- updated to 0.8
- removed -branch.diff

Revision 1.28  2008-03-12 20:20:35  megabajt
- added -branch.diff (port to GIO)
- release 3

Revision 1.27  2008-03-12 13:06:00  megabajt
- make it ready for use with new nautilus
- more verbose files
- release 2

Revision 1.26  2007-10-13 22:55:25  megabajt
- updated Source0 URL

Revision 1.25  2007/10/13 22:48:04  megabajt
- updated to 0.7
- removed pl patch (applied upstream)

Revision 1.24  2007/09/10 00:46:41  aflinta
- added pl translation, release 2

Revision 1.23  2007/04/16 08:16:57  beorn
- pl beautify

Revision 1.22  2007/04/15 16:12:28  megabajt
- updated to 0.6
- shortname patch is applied upstream

Revision 1.21  2007/02/14 21:41:02  qboosh
- resolved conflict

Revision 1.20  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.18  2006/12/31 18:03:26  megabajt
- missing BR: libnotify-devel
- release 2

Revision 1.17  2006/12/26 12:39:49  megabajt
- updated deps

Revision 1.16  2006/12/07 20:58:41  dzeus
- added man

Revision 1.15  2006/12/05 20:59:19  patrys
- up to 0.5
- dropped patches applied upstream

Revision 1.14  2006/08/09 18:16:34  freetz
- rel.7

Revision 1.13  2006/07/14 21:26:53  freetz
- rel.6, updated deps, --as-needed support

Revision 1.12  2006/06/09 22:25:21  freetz
- typo

Revision 1.11  2006/06/08 20:29:40  freetz
- rel.5, bleeding edge deps

Revision 1.10  2006/04/02 11:17:03  freetz
- added drive_mount and no_media patches, rel.4

Revision 1.9  2006/03/16 15:24:04  wrobell
- added shortname patch, which standarizes shortname option value
- rel. 3

Revision 1.8  2006/02/24 13:52:26  freetz
- rel.2 for easier upgrade from snapshot

Revision 1.7  2006/02/24 13:44:19  freetz
- 0.4, updated BR and files

Revision 1.6  2006/02/23 17:36:25  freetz
- dropped storage-methods

Revision 1.5  2006/02/19 11:45:39  qboosh
- unified

Revision 1.4  2006/02/18 22:23:15  freetz
- virtual provides: storage-methods, use snap in release

Revision 1.3  2006/01/23 10:02:53  qboosh
- pl

Revision 1.2  2006/01/23 08:47:33  freetz
- 0.4-20060122 snap, devel(?) subpkg, updated BR

Revision 1.1  2006/01/21 23:15:56  freetz
- initial
